'	=====================================================
'	CreateWFGSQLDatabase.vbs
'	Database creation script for WorkflowGen 7.0.0
'	=====================================================
'	COPYRIGHT ADVANTYS 01/10/2017
'	=====================================================


Dim oColSQLScript
Set oColSQLScript = WScript.CreateObject("Scripting.Dictionary")

oColSQLScript("Create_WFG-V7-0_SQL_Tables.sql") = ""
oColSQLScript("Create_WFG-V7-0_SQL_PKeys.sql") = ""
oColSQLScript("Create_WFG-V7-0_SQL_FKeys.sql") = ""
oColSQLScript("Create_WFG-V7-0_SQL_Triggers.sql") = ""
oColSQLScript("Create_WFG-V7-0_SQL_Indexes.sql") = ""
oColSQLScript("Create_WFG-V7-0_SQL_Const.sql") = ""

Call DataBase_Create()

'	*****************************************************
'	DataBase_Create
'	Create a database with SQL scripts
'	*****************************************************
'	COPYRIGHT ADVANTYS 16/02/2007
'	*****************************************************
Sub DataBase_Create()

'	Variables
'	*********
	Dim oConn
	Dim strTMP
	Dim strCONNECT_STRING
	Dim strPOPUP_TITLE

	Dim strSQL_SERVER
	Dim strDATABASE
	Dim strDBA_USER
	Dim strDBA_PWD
	Dim strAPP_LOGIN
	Dim strAPP_PWD

	Dim bSQLSvr
	Dim bSQLSvr2005
	Dim bSQLSvr2008

	Dim blnOVERWRITE

	Dim strDATA_NAME
	Dim strDATA_FILENAME
	Dim strDATA_PATH
	Dim strDATA_SIZE
	Dim strDATA_MAXSIZE
	Dim strDATA_FILEGROWTH

	Dim strLOG_NAME
	Dim strLOG_FILENAME
	Dim strLOG_PATH
	Dim strLOG_SIZE
	Dim strLOG_MAXSIZE
	Dim strLOG_FILEGROWTH
	Dim strSERVEUR

'	Title
'	*****
	strPOPUP_TITLE = "WorkflowGen 7.0.0 - SQL Server version"

'	Confirmation Message
'	********************
	strTMP = "Do you confirm the creation of the WorkflowGen database?" & VbCrLf
	intMSG_RESPONSE = MsgBox(strTMP,vbYesNo,strPOPUP_TITLE)
	If intMSG_RESPONSE = vbNo Then
		Exit Sub
	End If

'	Input parameters
'	****************
	bSQLSvr = False
	bSQLSvr2005 = False
	bSQLSvr2008 = False
	bSQLSvr2008R2 = False
	bSQLSvr2012 = False

	Set WshNetwork = WScript.CreateObject("WScript.Network")
	strSERVEUR = WshNetwork.ComputerName
	Set WshNetwork = Nothing

	strTMP = "MS SQL Server 2000 (Yes) or MS SQL Server 2005/2008/2008 R2/2012 (No)?"
	intMSG_RESPONSE = MsgBox(strTMP,vbYesNo,strPOPUP_TITLE)
	If intMSG_RESPONSE = vbYes Then

		strSQL_SERVER = InputBox("SQL server name",,strSERVEUR)
		strDATABASE = InputBox("Catalog name",,"WFGEN")
		strDBA_USER = InputBox("Administrator username",,"sa")
		strDBA_PWD = InputBox("Administrator password",,"")
		strDATA_PATH = InputBox("SQL Server data and log folder path",,"C:\Program Files\Microsoft SQL Server\MSSQL\Data")
		strDATA_MAXSIZE = InputBox("SQL Server data and log maximum size",,"25")
		bSQLSvr = True

	Else

		strTMP = "MS SQL Server 2005 (Yes) or MS SQL Server 2008/2008 R2/2012 (No)?"
        intMSG_RESPONSE = MsgBox(strTMP,vbYesNo,strPOPUP_TITLE)
        If intMSG_RESPONSE = vbYes Then

			strSQL_SERVER = InputBox("SQL server name (<computer_name>\<instance_name>)",,strSERVEUR &"\MSSQLSERVER")	
			strDATABASE = InputBox("Catalog name",,"WFGEN")
			strDBA_USER = InputBox("Administrator username",,"sa")
			strDBA_PWD = InputBox("Administrator password",,"")
            strDATA_PATH = InputBox("SQL Server data and log folder path",,"C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Data")
			strDATA_MAXSIZE = InputBox("SQL Server data and log maximum size",,"1000")
            bSQLSvr2005 = True

        Else

            strTMP = "MS SQL Server 2008 (Yes) or MS SQL Server 2008 R2/2012 (No)?"
			intMSG_RESPONSE = MsgBox(strTMP,vbYesNo,strPOPUP_TITLE)
			If intMSG_RESPONSE = vbYes Then

				strSQL_SERVER = InputBox("SQL server name (<computer_name>\<instance_name>)",,strSERVEUR &"\MSSQLSERVER")	
				strDATABASE = InputBox("Catalog name",,"WFGEN")
				strDBA_USER = InputBox("Administrator username",,"sa")
				strDBA_PWD = InputBox("Administrator password",,"")
				strDATA_PATH = InputBox("SQL Server data and log folder path",,"C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\Data")
				strDATA_MAXSIZE = InputBox("SQL Server data and log maximum size",,"1000")
				bSQLSvr2008 = True

			Else

				strTMP = "MS SQL Server 2008 R2 (Yes) or MS SQL Server 2012 (No)?"
				intMSG_RESPONSE = MsgBox(strTMP,vbYesNo,strPOPUP_TITLE)
				If intMSG_RESPONSE = vbYes Then

					strSQL_SERVER = InputBox("SQL server name (<computer_name>\<instance_name>)",,strSERVEUR &"\MSSQLSERVER")	
					strDATABASE = InputBox("Catalog name",,"WFGEN")
					strDBA_USER = InputBox("Administrator username",,"sa")
					strDBA_PWD = InputBox("Administrator password",,"")
					strDATA_PATH = InputBox("SQL Server data and log folder path",,"C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\Data")
					strDATA_MAXSIZE = InputBox("SQL Server data and log maximum size",,"1000")
					bSQLSvr2008R2 = True

				Else

					strSQL_SERVER = InputBox("SQL server name (<computer_name>\<instance_name>)",,strSERVEUR &"\MSSQLSERVER")	
					strDATABASE = InputBox("Catalog name",,"WFGEN")
					strDBA_USER = InputBox("Administrator username",,"sa")
					strDBA_PWD = InputBox("Administrator password",,"")
					strDATA_PATH = InputBox("SQL Server data and log folder path",,"C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA")
					strDATA_MAXSIZE = InputBox("SQL Server data and log maximum size",,"1000")
					bSQLSvr2012 = True

				End If

			End If

        End If

	End If

	strAPP_LOGIN = "WFGEN_USER"
	strAPP_PWD = "Admin123!"
	
'	Create new database or overwrite existing database
'	**************************************************

	blnOVERWRITE = true

	If bSQLSvr = true Then

		'	Data file
		'	*********
			strDATA_NAME = strDATABASE & "_Data"
			strDATA_FILENAME = strDATA_NAME & ".MDF"
			strDATA_SIZE = "2"
			strDATA_FILEGROWTH = "1"

		'	Transaction log file
		'	********************
			strLOG_NAME = strDATABASE & "_Log"
			strLOG_FILENAME = strLOG_NAME & ".LDF"
			strLOG_PATH = strDATA_PATH
			strLOG_SIZE = "2"
			strLOG_MAXSIZE = strDATA_MAXSIZE
			strLOG_FILEGROWTH = "1"

	Else

		'	Data file
		'	*********
			strDATA_NAME = strDATABASE & "_Data"
			strDATA_FILENAME = strDATA_NAME & ".MDF"
			strDATA_SIZE = "20"
			strDATA_FILEGROWTH = "10"

		'	Transaction log file
		'	********************
			strLOG_NAME = strDATABASE & "_Log"
			strLOG_FILENAME = strLOG_NAME & ".LDF"
			strLOG_PATH = strDATA_PATH
			strLOG_SIZE = "20"
			strLOG_MAXSIZE = strDATA_MAXSIZE
			strLOG_FILEGROWTH = "10"

	End If


'	Database Connection
'	*******************
	strCONNECT_STRING = "provider=SQLOLEDB;Data Source="& strSQL_SERVER &";UID="& strDBA_USER &";PASSWORD="& strDBA_PWD

	Set oConn = CreateObject("ADODB.Connection")
	oConn.Open strCONNECT_STRING


'	Create database
'	***************
	Call CreateDataBase(oConn,strDATABASE,strDATA_NAME,strDATA_FILENAME,strDATA_PATH,strDATA_SIZE,strDATA_MAXSIZE,strDATA_FILEGROWTH,strLOG_NAME,strLOG_FILENAME,strLOG_PATH,strLOG_SIZE,strLOG_MAXSIZE,strLOG_FILEGROWTH,blnOVERWRITE)

'	Create Application DB account
'	*****************************
	Call CreateAdminUser(oConn,strAPP_LOGIN,strAPP_PWD,strDATABASE)

'	Execute SQL scripts
'	*******************
	For Each strTMP In oColSQLScript
		Call ExecSQLScript(oConn,strDATABASE,strTMP)
	Next

'	Execute SQL scripts
'	*******************
	Set oConn = Nothing

'	Quit
'	****
	MsgBox "The database has been created successfully!"

End Sub

'	*****************************************************
'	CreateDataBase
'	Create the database
'	*****************************************************
'	COPYRIGHT ADVANTYS 06/04/2005
'	*****************************************************
Sub CreateDataBase(oConn,strDATABASE,strDATA_NAME,strDATA_FILENAME,strDATA_PATH,strDATA_SIZE,strDATA_MAXSIZE,strDATA_FILEGROWTH,strLOG_NAME,strLOG_FILENAME,strLOG_PATH,strLOG_SIZE,strLOG_MAXSIZE,strLOG_FILEGROWTH,blnOVERWRITE)

'	Variables
'	*********
	Dim oRs
	Dim strSQL

'	Create new DB
'	*************
	On Error Resume Next
	oConn.Execute("USE master")

	If Err.Number<>0 Then
		Set oConn = Nothing
		LogFile ("Erreur : "& Err.Number - vbObjectError &" : "& Err.Description &" : ")
		Exit Sub
	End If
	On Error GoTo 0

	On Error Resume Next
	Set oRs = oConn.Execute("Select 1 FROM sysdatabases WHERE NAME='" & strDATABASE & "'")

	If Err.Number<>0 Then
		Set oRs = Nothing
		Set oConn = Nothing
		LogFile ("Erreur : "& Err.Number - vbObjectError &" : "& Err.Description &" : ")
		Exit Sub
	End If
	On Error GoTo 0

	If (oRs.EOF) or (Not oRs.EOF And blnOVERWRITE) Then

	'	Drop the old database
	'	*********************
		On Error Resume Next
		oConn.Execute("If exists (Select 1 FROM sysdatabases WHERE NAME='" & strDATABASE & "') DROP DATABASE " & strDATABASE)

		If Err.Number<>0 Then
			Set oRs = Nothing
			Set oConn = Nothing
			LogFile ("Erreur : "& Err.Number - vbObjectError &" : "& Err.Description &" : ")
			Exit Sub
		End If
		On Error GoTo 0

	'	Create the database and the log file
	'	************************************
		strSQL = "CREATE DATABASE " & strDATABASE
		strSQL = strSQL & " ON "
		strSQL = strSQL & "( NAME = "& strDATA_NAME
		strSQL = strSQL & ", FILENAME = '"& strDATA_PATH & "\" & strDATA_FILENAME & "'"
		If strDATA_SIZE<>""	Then strSQL = strSQL & ", SIZE = " & strDATA_SIZE
		If strDATA_MAXSIZE<>"" Then strSQL = strSQL & ", MAXSIZE = " & strDATA_MAXSIZE
		If strDATA_FILEGROWTH<>"" Then strSQL = strSQL & ", FILEGROWTH = " & strDATA_FILEGROWTH
		strSQL = strSQL & " ) "
		strSQL = strSQL & "LOG ON "
		strSQL = strSQL & "( NAME = "& strLOG_NAME
		strSQL = strSQL & ", FILENAME = '"& strLOG_PATH & "\" & strLOG_FILENAME & "'"
		If strLOG_SIZE<>""	Then strSQL = strSQL & ", SIZE = " & strLOG_SIZE
		If strLOG_MAXSIZE<>"" Then strSQL = strSQL & ", MAXSIZE = " & strLOG_MAXSIZE
		If strLOG_FILEGROWTH<>"" Then strSQL = strSQL & ", FILEGROWTH = " & strLOG_FILEGROWTH
		strSQL = strSQL & " )"

		On Error Resume Next
		oConn.Execute(strSQL)

		If Err.Number<>0 Then
			Set oRs = Nothing
			Set oConn = Nothing
			LogFile ("An error occurs while creating the database '" & strDATABASE & "' (" & Err.Number & " : " & Err.Description & ").")
		End If
		On Error GoTo 0

	Else

		If (Not oRs.EOF And Not blnOVERWRITE) Then
			Set oRs = Nothing
			Set oConn = Nothing
			LogFile ("The database already exists, and the overwrite property in the script doesn't allow to replace it.")
		End If

	End If

'	Cleaning
'	********
	Set oRs = Nothing

End Sub

'	*****************************************************
'	CreateAdminUser
'	Create a new user for the database
'	*****************************************************
'	COPYRIGHT ADVANTYS 4/3/2006
'	*****************************************************
Sub CreateAdminUser(oConn,strCONNECTION_NAME,strCONNECTION_PASS,strDATABASE_SQL_NAME)

	Dim strSQL

'	Cration du login
'	*****************
	strSQL = "if not exists (select * from master..syslogins where name = N'" & strCONNECTION_NAME & "')" & vbCrlf
	strSQL = strSQL & "exec sp_addlogin '" & strCONNECTION_NAME & "', '" & strCONNECTION_PASS & "'"

	On Error Resume Next
	oConn.Execute(strSQL)

	If Err.Number<>0 Then
		Set oConn = Nothing
		LogFile ("An error occurred while creating user account '" & strCONNECTION_NAME & "' (" & Err.Number & " : " & Err.Description & ").")
		Exit Sub
	End If
	On Error GoTo 0

'	Use the application database
'	****************************
	On Error Resume Next
	oConn.Execute("USE " & strDATABASE_SQL_NAME)

	If Err.Number<>0 Then
		Set oConn = Nothing
		LogFile ("An error occured while connecting to database '" & strDATABASE_SQL_NAME & "'. Please verify if the database exists (" & Err.Number & " : " & Err.Description & ").")
		Exit Sub
	End If
	On Error GoTo 0

'	Grant role to new user
'	**********************

	On Error Resume Next
	oConn.Execute("exec sp_grantdbaccess N'" & strCONNECTION_NAME & "', N'" & strCONNECTION_NAME & "'")

	If Err.Number<>0 Then
		Set oConn = Nothing
		LogFile ("An error occurred while granting role to user account '" & strCONNECTION_NAME & "' (" & Err.Number & " : " & Err.Description & ").")
		Exit Sub
	End If
	On Error GoTo 0

	On Error Resume Next
	oConn.Execute("exec sp_addrolemember N'db_datareader', N'" & strCONNECTION_NAME & "'")

	If Err.Number<>0 Then
		Set oConn = Nothing
		LogFile ("An error occurred while granting role to user account '" & strCONNECTION_NAME & "' (" & Err.Number & " : " & Err.Description & ").")
		Exit Sub
	End If
	On Error GoTo 0

	On Error Resume Next
	oConn.Execute("exec sp_addrolemember N'db_datawriter', N'" & strCONNECTION_NAME & "'")

	If Err.Number<>0 Then
		Set oConn = Nothing
		LogFile ("An error occurred while granting role to user account '" & strCONNECTION_NAME & "' (" & Err.Number & " : " & Err.Description & ").")
		Exit Sub
	End If
	On Error GoTo 0

End Sub


'	*****************************************************
'	ExecSQLScript
'	Execute an SQL script from a specified file.
'	*****************************************************
'	COPYRIGHT ADVANTYS 4/3/2006
'	*****************************************************
Sub ExecSQLScript(oConn,strDATABASE,strScriptPathName)

'	Variables
'	*********
	Dim strTMP
	Dim arTEMP
	Dim oFs
	Dim oTs

'	Use correct database
'	********************
	If InStr(oConn.Provider,"Jet")=0 Then
		oConn.Execute("USE " & strDATABASE)
	End If

'	Check If the file exists
'	************************
	Set oFs = CreateObject("Scripting.FileSystemObject")
	If Not oFs.FileExists(strScriptPathName) Then
		LogFile "The file "& strScriptPathName &" was not found."
	End If

'	Open the file, read the file And execute queries
'	************************************************
	Set oTs = oFs.OpenTextFile(strScriptPathName)
	strTMP = oTs.ReadAll()
	arTEMP = Split(strTMP, vbCrLf & "GO")


	On Error Resume Next

	For intI = 0 To UBound(arTEMP)-1

		LogFile (arTEMP(intI))
		If Not IsNull(arTEMP(intI)) or Trim(arTEMP(intI))<>"" Then oConn.Execute(arTEMP(intI))
		If Err.Number<>0 Then
			LogFile ("Erreur : "& Err.Number - vbObjectError &" : "& Err.Description &" : ")
			Err.Clear
		Else
			LogFile ("OK")
		End If

	Next




'	Destroy objects
'	***************
	Set oTs = Nothing
	Set oFs = Nothing

End Sub


'	==================================================
'	LogFile
'		Write a string in a log file
'	==================================================
'	ADVANTYS (C) Copyright 2000 - 4/3/2006
'	==================================================
Public Sub LogFile(strMSG)

	Const ForAppending = 8
	Dim fso, f

	On Error Resume Next

	Set fso = CreateObject("Scripting.FileSystemObject")
	Set f = fso.OpenTextFile(Replace(Wscript.ScriptFullName,Wscript.ScriptName,"") & "CreateWFGSQLDatabase.txt", ForAppending, True)
	f.WriteLine strMSG
	f.close

End Sub
