
ALTER TABLE [USERS_PREFS] ADD 
	CONSTRAINT [FK_USERS_PREFS_REFERENCE_USERS] FOREIGN KEY 
	(
		[ID_USER]
	) REFERENCES [USERS] (
		[ID_USER]
	) ON DELETE CASCADE 
GO


ALTER TABLE [USERS_VIEWS] ADD 
	CONSTRAINT [FK_USERS_VIEWS_REFERENCE_USERS] FOREIGN KEY 
	(
		[ID_USER]
	) REFERENCES [USERS] (
		[ID_USER]
	) ON DELETE CASCADE 
GO

ALTER TABLE [USERS_VIEWS_MAPTO]  WITH CHECK ADD  
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_USERS_VIEWS] FOREIGN KEY([ID_USER], [NUM_VIEW])
	REFERENCES [USERS_VIEWS] ([ID_USER], [NUM_VIEW])
	ON DELETE CASCADE
GO

ALTER TABLE [USERS_VIEWS_MAPTO] CHECK 
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_USERS_VIEWS]
GO

ALTER TABLE [USERS_VIEWS_MAPTO]  WITH CHECK ADD  
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_WFPARTICIPANT] FOREIGN KEY([ID_PARTICIPANT])
	REFERENCES [WFPARTICIPANT] ([ID_PARTICIPANT])
	ON DELETE CASCADE
GO

ALTER TABLE [USERS_VIEWS_MAPTO] CHECK 
	CONSTRAINT [FK_USERS_VIEWS_MAPTO_REFERENCE_WFPARTICIPANT]
GO

ALTER TABLE [WFDELEGATE] ADD 
	CONSTRAINT [FK_WFDELEGA_REFERENCE_WFPROCES] FOREIGN KEY 
	(
		[ID_PROCESS],
		[ID_PARTICIPANT]
	) REFERENCES [WFPROCESS_PARTICIPANT] (
		[ID_PROCESS],
		[ID_PARTICIPANT]
	) ON DELETE CASCADE 
GO

ALTER TABLE [WFLIST]  ADD  
	CONSTRAINT [FK_WFLIST_USERS] FOREIGN KEY
	(
		[ID_USER_UPDATE]
	) REFERENCES [USERS] ([ID_USER])
	ON UPDATE CASCADE
	ON DELETE SET NULL
GO

ALTER TABLE [WFLIST] CHECK CONSTRAINT [FK_WFLIST_USERS]
GO

ALTER TABLE [WFLIST]  ADD  
	CONSTRAINT [FK_WFLIST_WFPARTICIPANT] FOREIGN KEY
	(
		[ID_PARTICIPANT]
	) REFERENCES [WFPARTICIPANT] ([ID_PARTICIPANT])
	ON UPDATE CASCADE
	ON DELETE SET NULL
GO

ALTER TABLE [WFLIST] CHECK CONSTRAINT [FK_WFLIST_WFPARTICIPANT]
GO

ALTER TABLE [WFLIST_ITEMS]  ADD  
	CONSTRAINT [FK_WFLIST_ITEMS_WFLIST] FOREIGN KEY
	(
		[ID_LIST]
	) REFERENCES [WFLIST] ([ID_LIST])
	ON UPDATE CASCADE
	ON DELETE CASCADE
GO

ALTER TABLE [WFLIST_ITEMS] CHECK CONSTRAINT [FK_WFLIST_ITEMS_WFLIST]
GO


ALTER TABLE [FAVORITE]  ADD  
	CONSTRAINT [FK_FAVORITE_REFERENCE_FAVORITE_TYPE] FOREIGN KEY
	(
		[ID_FAVORITE_TYPE]
	) REFERENCES [FAVORITE_TYPE] ([ID_FAVORITE_TYPE])
	ON UPDATE CASCADE
	ON DELETE CASCADE
GO

ALTER TABLE [FAVORITE] CHECK CONSTRAINT [FK_FAVORITE_REFERENCE_FAVORITE_TYPE]
GO

ALTER TABLE [FAVORITE]  ADD  
	CONSTRAINT [FK_FAVORITE_REFERENCE_WFPROCESS] FOREIGN KEY
	(
		[ID_PROCESS]
	) REFERENCES [WFPROCESS] ([ID_PROCESS])
	ON UPDATE CASCADE
	ON DELETE CASCADE
GO

ALTER TABLE [FAVORITE] CHECK CONSTRAINT [FK_FAVORITE_REFERENCE_WFPROCESS]
GO

ALTER TABLE [FAVORITE]  ADD  
	CONSTRAINT [FK_FAVORITE_REFERENCE_USERS_VIEWS] FOREIGN KEY
	(
		[ID_USER],[NUM_VIEW]
	) REFERENCES [USERS_VIEWS] ([ID_USER],[NUM_VIEW])
	ON UPDATE CASCADE
	ON DELETE CASCADE

GO

ALTER TABLE [FAVORITE] CHECK CONSTRAINT [FK_FAVORITE_REFERENCE_USERS_VIEWS]
GO