ALTER TABLE [DIRECTORY] ADD 
	CONSTRAINT [PK_DIRECTORY] PRIMARY KEY  CLUSTERED 
	(
		[ID_DIRECTORY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [GROUPS] ADD 
	CONSTRAINT [PK_GROUPS] PRIMARY KEY  CLUSTERED 
	(
		[ID_GROUP]
	)  ON [PRIMARY] 
GO


ALTER TABLE [PROFILE] ADD 
	CONSTRAINT [PK_PROFILE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROFILE]
	)  ON [PRIMARY] 
GO



ALTER TABLE [USERS] ADD 
	CONSTRAINT [PK_USERS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [USERS_GROUPS] ADD 
	CONSTRAINT [PK_USERS_GROUPS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[ID_GROUP]
	)  ON [PRIMARY] 
GO


ALTER TABLE [USERS_PREFS] ADD 
	CONSTRAINT [PK_USERS_PREFS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[NAME]
	)  ON [PRIMARY] 
GO

ALTER TABLE [USERS_VIEWS] ADD 
	CONSTRAINT [PK_USERS_VIEWS] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[NUM_VIEW]
	)  ON [PRIMARY] 
GO

ALTER TABLE [USERS_VIEWS_MAPTO] ADD 
	CONSTRAINT [PK_USERS_VIEWS_MAPTO] PRIMARY KEY CLUSTERED 
	(
		[ID_USER], 
		[NUM_VIEW], 
		[ID_PARTICIPANT]
	) ON [PRIMARY] 
GO

ALTER TABLE [USERS_PROFILE] ADD 
	CONSTRAINT [PK_USERS_PROFILE] PRIMARY KEY  CLUSTERED 
	(
		[ID_USER],
		[ID_PROFILE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY] ADD 
	CONSTRAINT [PK_WFACTIVITY] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_ACTIVITY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_ASSIGN_TYPE] ADD 
	CONSTRAINT [PK_WFACTIVITY_ASSIGN_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_ASSIGN_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST_MAPTO] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST_MAPTO] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST],
		[ID_USER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST_NOTIFY_OVERDUE] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST_NOTIFY_OVER] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST],
		[ID_PROCESS],
		[ID_ACTIVITY],
		[NUM_NOTIFY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_INST_RELDATA] ADD 
	CONSTRAINT [PK_WFACTIVITY_INST_RELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_ACTIVITY_INST],
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_NOTIFY] ADD 
	CONSTRAINT [PK_WFACTIVITY_NOTIFY] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_ACTIVITY],
		[NUM_NOTIFY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_PARAM] ADD 
	CONSTRAINT [PK_WFACTIVITY_PARAM] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_ACTIVITY],
		[PARAM]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFACTIVITY_TYPE] ADD 
	CONSTRAINT [PK_WFACTIVITY_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_ACTIVITY_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFAPPLICATION] ADD 
	CONSTRAINT [PK_WFAPPLICATION] PRIMARY KEY  CLUSTERED 
	(
		[ID_APPLICATION]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFAPPLICATION_PARAM] ADD 
	CONSTRAINT [PK_WFAPPLICATION_PARAM] PRIMARY KEY  CLUSTERED 
	(
		[ID_APPLICATION],
		[NUM_PARAM]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFAPPLICATION_TYPE] ADD 
	CONSTRAINT [PK_WFAPPLICATION_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_APP_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFCATEGORY] ADD 
	CONSTRAINT [PK_WFCATEGORY] PRIMARY KEY  CLUSTERED 
	(
		[ID_CATEGORY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFCOUNTER] ADD 
	CONSTRAINT [PK_WFCOUNTER] PRIMARY KEY  CLUSTERED 
	(
		[ID_COUNTER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDATASET] ADD 
	CONSTRAINT [PK_WFDATASET] PRIMARY KEY  CLUSTERED 
	(
		[ID_DATASET]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDATASET_VALUE] ADD 
	CONSTRAINT [PK_WFDATASET_VALUE] PRIMARY KEY  CLUSTERED 
	(
		[ID_DATASET],
		[NUM_VALUE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDATATYPE] ADD 
	CONSTRAINT [PK_WFDATATYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_DATATYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDELEGATE] ADD 
	CONSTRAINT [PK_WFDELEGATE] PRIMARY KEY  CLUSTERED 
	(
		[ID_DELEGATE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFDURATION_UNIT] ADD 
	CONSTRAINT [PK_WFDURATION_UNIT] PRIMARY KEY  CLUSTERED 
	(
		[ID_DURATION_UNIT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFFOLDER] ADD 
	CONSTRAINT [PK_WFFOLDER] PRIMARY KEY  CLUSTERED 
	(
		[ID_FOLDER]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFFOLDER_PERM] ADD 
	CONSTRAINT [PK_WFFOLDER_PERM] PRIMARY KEY  CLUSTERED 
	(
		[ID_FOLDER],
		[ID_PARTICIPANT],
		[ID_PERM_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFNOTIFY_TYPE] ADD 
	CONSTRAINT [PK_WFNOTIFY_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_NOTIFY_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT] ADD 
	CONSTRAINT [PK_WFPARTICIPANT] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT_MAPTO] ADD 
	CONSTRAINT [PK_WFPARTICIPANT_MAPTO] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT],
		[NUM_MAPTO]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT_ROLE] ADD 
	CONSTRAINT [PK_WFPARTICIPANT_ROLE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT_ROLE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPARTICIPANT_TYPE] ADD 
	CONSTRAINT [PK_WFPARTICIPANT_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PARTICIPANT_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPERM_TYPE] ADD 
	CONSTRAINT [PK_WFPERM_TYPE] PRIMARY KEY  CLUSTERED 
	(
		[ID_PERM_TYPE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS] ADD 
	CONSTRAINT [PK_WFPROCESS] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_CATEGORY] ADD 
	CONSTRAINT [PK_WFPROCESS_CATEGORY] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_CATEGORY]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_INST] ADD 
	CONSTRAINT [PK_WFPROCESS_INST] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_INST_RELDATA] ADD 
	CONSTRAINT [PK_WFPROCESS_INST_RELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_INST],
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_INST_COMMENT] ADD 
	CONSTRAINT [PK_WFPROCESS_INST_COMMENT] PRIMARY KEY CLUSTERED 
	(
		[ID_PROCESS_INST], 
		[NUM_COMMENT]
	) ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_PARTICIPANT] ADD 
	CONSTRAINT [PK_WFPROCESS_PARTICIPANT] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_PARTICIPANT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_RELDATA] ADD 
	CONSTRAINT [PK_WFPROCESS_RELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_RELDATA_RESTRICT] ADD 
	CONSTRAINT [PK_WFPROCESS_RELDATA_RESTRICT] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_RELDATA],
		[ID_PARTICIPANT]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_STATUS] ADD 
	CONSTRAINT [PK_WFPROCESS_STATUS] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS_STATUS]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFPROCESS_TRANSITION] ADD 
	CONSTRAINT [PK_WFPROCESS_TRANSITION] PRIMARY KEY  CLUSTERED 
	(
		[ID_PROCESS],
		[ID_TRANSITION]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFRELDATA] ADD 
	CONSTRAINT [PK_WFRELDATA] PRIMARY KEY  CLUSTERED 
	(
		[ID_RELDATA]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFSTATE] ADD 
	CONSTRAINT [PK_WFSTATE] PRIMARY KEY  CLUSTERED 
	(
		[ID_STATE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFSUBSTATE] ADD 
	CONSTRAINT [PK_WFSUBSTATE] PRIMARY KEY  CLUSTERED 
	(
		[ID_STATE],
		[ID_SUBSTATE]
	)  ON [PRIMARY] 
GO


ALTER TABLE [WFLIST] ADD 
	CONSTRAINT [PK_WFLIST] PRIMARY KEY CLUSTERED 
	(
		[ID_LIST] ASC
	) ON [PRIMARY]
GO


ALTER TABLE [WFLIST_ITEMS] ADD 
	CONSTRAINT [PK_WFLIST_ITEMS] PRIMARY KEY CLUSTERED 
	(
		[ID_LIST] ASC,
		[LANGUAGE] ASC,
		[DISP_ORDER] ASC
	) ON [PRIMARY]
GO

ALTER TABLE [FAVORITE_TYPE] ADD 
	CONSTRAINT [PK_FAVORITE_TYPE] PRIMARY KEY CLUSTERED 
	(
		[ID_FAVORITE_TYPE] ASC
	) ON [PRIMARY]
GO

ALTER TABLE [FAVORITE] ADD 
	CONSTRAINT [PK_FAVORITE] PRIMARY KEY CLUSTERED 
	(
		[ID_FAVORITE] ASC
	) ON [PRIMARY]
GO



