CREATE TABLE [dbo].[DIRECTORY] (
	[ID_DIRECTORY] [int] NOT NULL ,
	[DIRNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[DEFAULTDIR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[READONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[BUILTIN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[AUTH] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PREFIX_GROUPNAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MODE_USER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MODE_GROUP] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DIR_USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DIR_PASSWORD] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PREFIX_USERNAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_USERS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_GROUPS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LDAP_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_ODS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_SUBTREE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DOMAIN_NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_AUTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[USER_DELETION_MODE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FREQUENCY] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_FIELD_USER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNC_FIELD_GROUP] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TEXT_SEPARATOR] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FILE_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LDAP_QUERY_GROUPS] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LDAP_QUERY_USERS] [nvarchar] (max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FIELDS_MAPPING_USERS] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FIELDS_MAPPING_GROUPS] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NEW_USER_ACTIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NEW_USER_SELFACTIVATION] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TOKEN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 

) ON [PRIMARY]
GO


CREATE TABLE [dbo].[GROUPS] (
	[ID_GROUP] [int] NOT NULL ,
	[ID_DIRECTORY] [int] NULL ,
	[DATE_CREATION] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[GROUPNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[READONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_DN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_CN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[BUILTIN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[GROUPNUMBER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OBJECTSID] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNCHRO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATASOURCE_QUERY] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[PROFILE] (
	[ID_PROFILE] [int] NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MAPTO_PASSWORD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MAPTO_USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS] (
	[ID_USER] [int] NOT NULL ,
	[ID_DIRECTORY] [int] NULL ,
	[DATE_CREATION] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[LASTNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[FIRSTNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[PASSWORD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SALT] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ACTIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[READONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[BUILTIN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PHONE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MOBILE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PAGER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FAX] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OFFICE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DEPARTMENT] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[COMPANY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[JOBTITLE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[INITIALS] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PERSONALTITLE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMPLOYEENUMBER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EMPLOYEETYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[POSTALADDRESS] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[POSTALCODE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CITY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[STATE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[COUNTRY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_PATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_DN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ADS_CN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ARCHIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_ARCHIVE] [datetime] NULL ,
	[DATE_LAST_VISIT] [datetime] NULL ,
	[EXTATT_1] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_2] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_3] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_4] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[EXTATT_5] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MAPTO_USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MAPTO_PASSWORD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OBJECTSID] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SYNCHRO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LANGUAGE] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LANGUAGE_PREF] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_USER_MANAGER] [int] NULL ,
	[ID_TIMEZONE] [int] NULL ,
	[DATE_ACTIVATION] [datetime] NULL ,
	[CONN_ATTEMPTS] [int] NULL ,
	[RESETPWD_TOKEN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[RESETPWD_TIME] [datetime] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS_GROUPS] (
	[ID_USER] [int] NOT NULL ,
	[ID_GROUP] [int] NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS_PREFS] (
	[ID_USER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[VALUE] [nvarchar] (4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CLSID] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[USERS_VIEWS] (
	[ID_USER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DEFAULT] [nvarchar](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[QUERY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PORTAL] [nvarchar](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[NUM_VIEW] [int] NOT NULL,
	[FILTER_ID_PROCESS] [int] NULL,
	[SHARED] [nvarchar](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[USERS_VIEWS_MAPTO] (
	[ID_USER] [int] NOT NULL,
	[NUM_VIEW] [int] NOT NULL,
	[ID_PARTICIPANT] [int] NOT NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[USERS_PROFILE] (
	[ID_USER] [int] NOT NULL ,
	[ID_PROFILE] [int] NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PARTICIPANT] [int] NULL ,
	[ID_APPLICATION] [int] NULL ,
	[ID_ACTIVITY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_LINK] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_MAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LIMIT] [float] NULL ,
	[ID_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_ASSIGN_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS_ASSIGN_AS] [int] NULL ,
	[ID_ACTIVITY_ASSIGN_AS] [int] NULL ,
	[ID_PROCESS_ASSIGN] [int] NULL ,
	[ID_RELDATA_ASSIGN] [int] NULL ,
	[ID_RELDATA_LIMIT] [int] NULL ,
	[OVERDUE_DURATION] [int] NULL ,
	[OVERDUE_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[VISIBLE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_ASSIGN_TODO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_TODO] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_DELAY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_CANCEL_ASSIGN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_ERROR_ASSIGN] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DURATION_WORKHOUR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_EXEC_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUBPROCESS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUBPROCESS_VERSION] [int] ,
	[COMPLETE_ASYNC] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_ASSIGN_TYPE] (
	[ID_ASSIGN_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_PROCESS] [int] NULL ,
	[ID_ACTIVITY] [int] NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_SUBSTATE] [nvarchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_OPEN] [datetime] NULL ,
	[DATE_START] [datetime] NULL ,
	[DATE_ASSIGN] [datetime] NULL ,
	[DATE_CLOSE] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[DATE_STATE_UPDATE] [datetime] NULL ,
	[DATE_NOTIFY_DELAY] [datetime] NULL ,
	[DATE_REASSIGN_DELAY] [datetime] NULL ,
	[PRIORITY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_LIMIT] [datetime] NULL ,
	[ID_USER_REQUESTER] [int] NULL ,
	[ID_USER_ASSIGNEE] [int] NULL ,
	[ID_USER_ASSIGNEE_REAL] [int] NULL ,
	[ID_USER_ASSIGNED_BY] [int] NULL ,
	[ID_DURATION_UNIT] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_USER_ABORTED] [int] NULL ,
	[ID_SUBPROCESS_INST] [int] NULL ,
	[ID_EXCEPTION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MSG_THREAD_INDEX] [nvarchar] (32) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_CODE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_MSG] [nvarchar] (4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_SOURCE] [nvarchar] (70) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_NUMBER] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST_MAPTO] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_USER] [int] NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST_NOTIFY_OVERDUE] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[NUM_NOTIFY] [int] NOT NULL ,
	[DATE_NOTIFY] [datetime] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_INST_RELDATA] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_ACTIVITY_INST] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_DATASET] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_NOTIFY] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[NUM_NOTIFY] [int] NOT NULL ,
	[MAPTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_NOTIFY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PARTICIPANT] [int] NULL ,
	[ID_PROCESS_NOTIFY] [int] NULL ,
	[ID_ACTIVITY_NOTIFY] [int] NULL ,
	[EMAILS_ADDR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONDITION] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_RELDATA] [int] NULL ,
	[ID_RELDATA_TEMPLATE] [int] NULL ,
	[CONDITION_LANG] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_PARAM] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_ACTIVITY] [int] NOT NULL ,
	[PARAM] [nvarchar] (440) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MAPTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_RELDATA] [int] NULL ,
	[VALUE_TEXT] [nvarchar] (4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_RELDATA_DEFAULT] [int] NULL ,
	[PARAM_LANG] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFACTIVITY_TYPE] (
	[ID_ACTIVITY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFAPPLICATION] (
	[ID_APPLICATION] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_APP_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ENCTYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[URL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[WSDL_URL] [nvarchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[WEBMETHOD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONTEXT_SCHEMA] [nvarchar] (25) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONTEXT_SCHEMA_EMBEDDED] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[USERNAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[PASSWORD] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DEFAULTAPP] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[ACTIVE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ASSEMBLY] [nvarchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CLASS] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[TOKEN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL, 
	[CLIENT_ID] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFAPPLICATION_PARAM] (
	[ID_APPLICATION] [int] NOT NULL ,
	[NUM_PARAM] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DEFAULT] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[REQUIRED] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFAPPLICATION_TYPE] (
	[ID_APP_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFCATEGORY] (
	[ID_CATEGORY] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFCOUNTER] (
	[ID_COUNTER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[COUNTER_VALUE] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDATASET] (
	[ID_DATASET] [int] NOT NULL ,
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MULTIVAL] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_CREATION] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[RUNTIME] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[STOREINDB] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDATASET_VALUE] (
	[ID_DATASET] [int] NOT NULL ,
	[NUM_VALUE] [int] NOT NULL ,
	[VALUE_TEXT] [nvarchar] (4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_DATETIME] [datetime] NULL ,
	[VALUE_NUMERIC] [float] NULL ,
	[VALUE_FILE_NAME] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_SIZE] [float] NULL ,
	[VALUE_FILE_CONTENTTYPE] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_ORIGINALPATH] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VALUE_FILE_DATELASTMODIFIED] [datetime] NULL,
	[VALUE_FILE_CONTENT] [image] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDATATYPE] (
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDELEGATE] (
	[ID_DELEGATE] [int] NOT NULL ,
	[ID_PROCESS] [int] NULL ,
	[ID_PARTICIPANT] [int] NULL ,
	[ID_USER] [int] NULL ,
	[ID_USER_DELEGATE] [int] NULL ,
	[DATE_BEGIN] [datetime] NULL ,
	[DATE_END] [datetime] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFDURATION_UNIT] (
	[ID_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFFOLDER] (
	[ID_FOLDER] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_FOLDER_PARENT] [int] NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFFOLDER_PERM] (
	[ID_FOLDER] [int] NOT NULL ,
	[ID_PARTICIPANT] [int] NOT NULL ,
	[ID_PERM_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFNOTIFY_TYPE] (
	[ID_NOTIFY_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT] (
	[ID_PARTICIPANT] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[GLOBAL_SCOPE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS] [int] NULL ,
	[ID_PARTICIPANT_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT_MAPTO] (
	[ID_PARTICIPANT] [int] NOT NULL ,
	[NUM_MAPTO] [int] NOT NULL ,
	[MAPTO] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_DIRECTORY] [int] NULL ,
	[ID_GROUP] [int] NULL ,
	[ID_USER] [int] NULL ,
	[COORDINATOR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT_ROLE] (
	[ID_PARTICIPANT_ROLE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPARTICIPANT_TYPE] (
	[ID_PARTICIPANT_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPERM_TYPE] (
	[ID_PERM_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_FOLDER] [int] NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VERSION] [int] NOT NULL ,
	[LIMIT] [int] NULL ,
	[ID_DURATION_UNIT] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS_STATUS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_CREATION] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[ID_USER_CREATION] [int] NULL ,
	[ID_USER_UPDATE] [int] NULL ,
	[HELP] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_LINK] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[HELP_MAIL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ARCHIVE_ACTIVITY_RESULT] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NOTIFY_COMPLETE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[XPDL_WF] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DURATION_WORKHOUR] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUBFLOW] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ACCESSLEVEL] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[RELDATA_STOREINDB] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[BUILTIN_FORM] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_CATEGORY] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_CATEGORY] [int] NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_INST] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_PROCESS] [int] NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_SUBSTATE] [nvarchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_USER_REQUESTER] [int] NULL ,
	[ID_USER_REQUESTER_REAL] [int] NULL ,
	[ID_USER_ABORTED] [int] NULL ,
	[DATE_OPEN] [datetime] NULL ,
	[DATE_START] [datetime] NULL ,
	[DATE_CLOSE] [datetime] NULL ,
	[DATE_UPDATE] [datetime] NULL ,
	[DATE_STATE_UPDATE] [datetime] NULL ,
	[DATE_LIMIT] [datetime] NULL ,
	[PRIORITY] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TEST] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PARENTPROCESS_INST] [int] NULL ,
	[ID_PARENTACTIVITY_INST] [int] NULL ,
	[ID_EXEC_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_EXCEPTION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_CODE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[APP_ERROR_MSG] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS_INST_REL] [int] NULL ,
	[ID_PROCESS_INST_REL_MONTH] [int] NULL ,
	[ID_PROCESS_INST_REL_YEAR] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_INST_RELDATA] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_DATASET] [int] NULL ,
	[DATALOCK] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DATE_LOCK] [datetime] NULL ,
	[ID_USER_LOCK_BY] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_INST_COMMENT] (
	[ID_PROCESS_INST] [int] NOT NULL ,
	[NUM_COMMENT] [int] NOT NULL ,
	[ID_USER_AUTHOR] [int] NOT NULL ,
	[DATE_POST] [datetime] NULL ,
	[MESSAGE] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[TAG] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[GEOLOC_LATITUDE] [float] NULL ,
	[GEOLOC_LONGITUDE] [float] NULL ,
	[GEOLOC_ALTITUDE] [float] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_PARTICIPANT] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_PARTICIPANT] [int] NOT NULL ,
	[ID_PARTICIPANT_ROLE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VIEW_GRAPHICS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[REASSIGN_ACTION] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CANCEL_REQUEST] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VIEW_STATISTICS] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[SUPERVISOR_ACCESSRIGHTS] [int] NULL,
	[DATASOURCE_QUERY] [nvarchar] (2000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[COMMENTS_PERMISSIONS] [nvarchar] (5) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_RELDATA] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[ID_DATASET_DEFAULT] [int] NULL ,
	[DIRECTION] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[RESTRICT_ALL] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL ,
	[DISP_HOME] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_LIST] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_SEARCH] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_SIZE] [int] NULL ,
	[READ_ONLY] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[VISIBLE] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_RELDATA_RESTRICT] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_RELDATA] [int] NOT NULL ,
	[ID_PARTICIPANT] [int] NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_STATUS] (
	[ID_PROCESS_STATUS] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFPROCESS_TRANSITION] (
	[ID_PROCESS] [int] NOT NULL ,
	[ID_TRANSITION] [int] NOT NULL ,
	[ID_PROCESS_FROM] [int] NULL ,
	[ID_ACTIVITY_FROM] [int] NULL ,
	[ID_PROCESS_TO] [int] NULL ,
	[ID_ACTIVITY_TO] [int] NULL ,
	[CONDITION] [ntext] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_CONDITION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_EXCEPTION_TYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CONDITION_LANG] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFRELDATA] (
	[ID_RELDATA] [int] NOT NULL ,
	[NAME] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[GLOBAL_SCOPE] [char] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ID_PROCESS] [int] NULL ,
	[ID_DATATYPE] [nvarchar] (64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[MULTIVAL] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FORMAT_STRING] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FORMAT_CULTURE] [nvarchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FORMAT_PRECISION] [int] NULL ,
	[FORMAT_TIMEZONE] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFSTATE] (
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFSUBSTATE] (
	[ID_STATE] [nvarchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ID_SUBSTATE] [nvarchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[DESCRIPTION_FR] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DESCRIPTION_EN] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DISP_ORDER] [int] NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFLIST](
	[ID_LIST] [int] NOT NULL,
	[NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ID_PARTICIPANT] [int] NULL,
	[DATE_UPDATE] [datetime] NOT NULL,
	[ID_USER_UPDATE] [int] NULL,
	[NB_ITEMS] [int] NOT NULL,
	[FIELD1_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD1_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD2_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD2_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD3_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD3_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD4_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD4_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD5_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD5_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD6_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD6_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD7_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD7_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD8_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD8_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD9_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD9_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD10_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD10_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD11_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD11_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD12_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD12_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD13_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD13_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD14_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD14_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD15_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD15_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD16_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD16_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD17_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD17_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD18_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD18_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD19_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD19_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD20_NAME] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD20_TYPE] [nvarchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELDS_ALL_NAME] [nvarchar](max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CONNECTION_MODE] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CONNECTION_NAME] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CONNECTION_STRING] [nvarchar](500) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[PROVIDER_NAME] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[SELECT_COMMAND] [nvarchar](max) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[WFLIST_ITEMS](
	[ID_LIST] [int] NOT NULL,
	[LANGUAGE] [nvarchar](7) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DISP_ORDER] [int] NOT NULL,
	[FIELD1_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD1_NUMERIC] [float] NULL,
	[FIELD1_DATE] [datetime] NULL,
	[FIELD2_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD2_NUMERIC] [float] NULL,
	[FIELD2_DATE] [datetime] NULL,
	[FIELD3_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD3_NUMERIC] [float] NULL,
	[FIELD3_DATE] [datetime] NULL,
	[FIELD4_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD4_NUMERIC] [float] NULL,
	[FIELD4_DATE] [datetime] NULL,
	[FIELD5_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD5_NUMERIC] [float] NULL,
	[FIELD5_DATE] [datetime] NULL,
	[FIELD6_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD6_NUMERIC] [float] NULL,
	[FIELD6_DATE] [datetime] NULL,
	[FIELD7_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD7_NUMERIC] [float] NULL,
	[FIELD7_DATE] [datetime] NULL,
	[FIELD8_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD8_NUMERIC] [float] NULL,
	[FIELD8_DATE] [datetime] NULL,
	[FIELD9_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD9_NUMERIC] [float] NULL,
	[FIELD9_DATE] [datetime] NULL,
	[FIELD10_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD10_NUMERIC] [float] NULL,
	[FIELD10_DATE] [datetime] NULL,
	[FIELD11_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD11_NUMERIC] [float] NULL,
	[FIELD11_DATE] [datetime] NULL,
	[FIELD12_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD12_NUMERIC] [float] NULL,
	[FIELD12_DATE] [datetime] NULL,
	[FIELD13_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD13_NUMERIC] [float] NULL,
	[FIELD13_DATE] [datetime] NULL,
	[FIELD14_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD14_NUMERIC] [float] NULL,
	[FIELD14_DATE] [datetime] NULL,
	[FIELD15_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD15_NUMERIC] [float] NULL,
	[FIELD15_DATE] [datetime] NULL,
	[FIELD16_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD16_NUMERIC] [float] NULL,
	[FIELD16_DATE] [datetime] NULL,
	[FIELD17_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD17_NUMERIC] [float] NULL,
	[FIELD17_DATE] [datetime] NULL,
	[FIELD18_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD18_NUMERIC] [float] NULL,
	[FIELD18_DATE] [datetime] NULL,
	[FIELD19_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD19_NUMERIC] [float] NULL,
	[FIELD19_DATE] [datetime] NULL,
	[FIELD20_TEXT] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FIELD20_NUMERIC] [float] NULL,
	[FIELD20_DATE] [datetime] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[FAVORITE_TYPE] (
	[ID_FAVORITE_TYPE] [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DESCRIPTION] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[FAVORITE] (
	ID_FAVORITE [int] NOT NULL,
    ID_USER_FAVORITE [int] NOT NULL,
    ID_FAVORITE_TYPE [nvarchar](64) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
    DESCRIPTION [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	ID_PROCESS [int] NULL,
	ID_USER [int] NULL,
	NUM_VIEW [int] NULL
) ON [PRIMARY]
GO