'	=====================================================
'	WorkflowGen
'	Oracle database creation for WorkflowGen 7.0.0
'	=====================================================
'	COPYRIGHT ADVANTYS 01/30/2017
'	=====================================================

Dim oColSQLScript
Set oColSQLScript = WScript.CreateObject("Scripting.Dictionary")

oColSQLScript("Create_WFG-V7-0_Oracle_Crebas.sql") = "Create_WFG-V7-0_Oracle_Crebas.sql"
oColSQLScript("Create_WFG-V7-0_Oracle_Const.sql") = "Create_WFG-V7-0_Oracle_Const.sql"

Call DataBase_Setup()

'	*****************************************************
'	DataBase_Setup
'	Setup a database
'	*****************************************************
'	COPYRIGHT ADVANTYS 14/12/2009
'	*****************************************************
Sub DataBase_Setup()

'	Variables
'	*********
	Dim oConn
	Dim strTMP
	Dim strCONNECT_STRING

	Dim strSQL_SERVER
	Dim strDATABASE
	Dim strDBA_USER
	Dim strDBA_PWD
	Dim blnOVERWRITE
	Dim strDATA_NAME
	Dim strDATA_FILENAME
	Dim strDATA_PATH
	Dim strDATA_SIZE
	Dim strDATA_MAXSIZE
	Dim strDATA_FILEGROWTH
	Dim strLOG_NAME
	Dim strLOG_FILENAME
	Dim strLOG_PATH
	Dim strLOG_SIZE
	Dim strLOG_MAXSIZE
	Dim strLOG_FILEGROWTH

'	Title
'	*****
	strPOPUP_TITLE = "WorkflowGen 7.0.0 - Oracle version"

'	Confirmation Message
'	********************
	strTMP = "Do you confirm the creation of the WorkflowGen database?" & VbCrLf
	intMSG_RESPONSE = MsgBox(strTMP,vbYesNo,strPOPUP_TITLE)
	If intMSG_RESPONSE = vbNo Then
		Exit Sub
	End If

'	Input parameters
'	****************
	strDATABASE = InputBox("Database name",,"WFGEN_SQL")
	strDBA_USER = InputBox("Username of the administrator",,"SYSTEM")
	strDBA_PWD = InputBox("Password of the administrator",,"")
	
'	Database Connection
'	*******************
	strCONNECT_STRING = "Provider=OraOLEDB.Oracle;Data Source=" & strDATABASE & ";USER ID=" & strDBA_USER & ";PASSWORD=" & strDBA_PWD & ";"
	Set oConn = CreateObject("ADODB.Connection")
	oConn.Open strCONNECT_STRING

'	Execute SQL scripts
'	*******************
	For Each strTMP In oColSQLScript
		Call ExecSQLScript(oConn,strDATABASE,Replace(WScript.ScriptFullName,WScript.ScriptName,"") & strTMP)
	Next
	
'	Execute SQL scripts
'	*******************
	Set oNodes = Nothing
	Set oConn = Nothing

'	Quit
'	****
	MsgBox "The database is now configured."
	
End Sub

'	*****************************************************
'	ExecSQLScript
'	Execute an SQL script from a specified file.
'	*****************************************************
'	COPYRIGHT ADVANTYS 4/3/2006
'	*****************************************************
Sub ExecSQLScript(oConn,strDATABASE,strScriptPathName)

'	Variables
'	*********
	Dim strTMP
	Dim arTEMP
	Dim oFs
	Dim oTs

'	Check If the file exists
'	************************
	Set oFs = CreateObject("Scripting.FileSystemObject")
	If Not oFs.FileExists(strScriptPathName) Then
		ShowError Null, "The file "& strScriptPathName &" was not found."
	End If

'	Open the file, read the file And execute queries
'	************************************************
	Set oTs = oFs.OpenTextFile(strScriptPathName)
	strTMP = oTs.ReadAll()
	arTEMP = Split(strTMP, ";" & vbCrLf)

	On Error Resume Next
	For intI = 0 To UBound(arTEMP)-1

		If Not IsNull(arTEMP(intI)) or Trim(arTEMP(intI))<>"" Then oConn.Execute(arTEMP(intI))
		If Err.Number<>0 Then
			MsgBox "An error occurs : "& Err.Description &"("& Err.Number &")" & " -> " & arTEMP(intI)
			Err.Clear
		End If

	Next

'	Destroy objects
'	***************
	Set oTs = Nothing
	Set oFs = Nothing

End Sub

'	*****************************************************
'	ShowError
'	Affichage d'une erreur
'	*****************************************************
'	COPYRIGHT ADVANTYS 4/3/2006
'	*****************************************************
Sub ShowError(lngERROR, strERROR)
	Msgbox "An error occured : " & strERROR & "("& lngERROR &")"
	WScript.Quit
End Sub