<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" media-type="text/html; charset=ISO-8859-1"/>
	<xsl:template match="/">
		<html>
			<head>
				<script>
					function toggleLayer(idLayer) {
						document.all[idLayer].style.display=(document.all[idLayer].style.display=='none'?'':'none');
					}
				</script>
		
				<style>
					A {
						font-size: 8pt;
						font-weight: bold;
						text-decoration: none;
					}
					A:hover {text-decoration: underline;}
					Table {font-size: 9pt;}
					Font {font-size: 8pt;}
				</style>
			</head>
			<body style="padding-top:0px;scrollbar:none;">
				<xsl:choose>
					<xsl:when test="/rss/channel/item[category='NEW_REQUEST']/link!=''">
						<table border="0" width="100%" cellpadding="0" style="font-size:9pt;">
							<tr>
								<td style="width:100%;">
									<xsl:choose>
										<xsl:when test="count(/rss/channel/item[category='NEW_REQUEST']) = 1">
											<a href="{/rss/channel/item[category='NEW_REQUEST']/link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
												<xsl:choose>
													<xsl:when test="contains(/rss/channel/language,'fr')">
														Nouvelle demande
													</xsl:when>
													<xsl:otherwise>
														New request
													</xsl:otherwise>
												</xsl:choose>
											</a>
											<br/>
											<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
												<xsl:choose>
													<xsl:when test="contains(/rss/channel/language,'fr')">
														Lancer une nouvelle demande de 
													</xsl:when>
													<xsl:otherwise>
														Launch a new request of 
													</xsl:otherwise>
												</xsl:choose>
												<xsl:value-of select="/rss/channel/item[category='NEW_REQUEST']/title"/> (<xsl:value-of select="/rss/channel/item[category='NEW_REQUEST']/description"/>)
											</font>
										</xsl:when>
										<xsl:otherwise>
											<div onclick="toggleLayer('newRequest');" style="cursor:hand">
												<font style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
													<xsl:choose>
														<xsl:when test="contains(/rss/channel/language,'fr')">
															Nouvelle demande
														</xsl:when>
														<xsl:otherwise>
															New request
														</xsl:otherwise>
													</xsl:choose>
												</font>
												<br />
												<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
													<xsl:choose>
														<xsl:when test="contains(/rss/channel/language,'fr')">
															Slectionnez la nouvelle demande que vous souhaitez lancer.
														</xsl:when>
														<xsl:otherwise>
															Select a new request to launch.
														</xsl:otherwise>
													</xsl:choose>
												</font>
											</div>	
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
							<xsl:if test="count(/rss/channel/item[category='NEW_REQUEST']) > 1">
								<tr>
									<td style="padding-top:0px;">
										<table border="0" width="100%" class="Homepage-List" cellpadding="0" cellspacing="0" style="display:none;" id="newRequest">
											<xsl:apply-templates select="/rss/channel/item[category='NEW_REQUEST']">
												<xsl:sort select="link"/>
											</xsl:apply-templates>
										</table>
									</td>
								</tr>
							</xsl:if>
						</table>
					</xsl:when>
				</xsl:choose>
				<table border="0" width="100%" cellpadding="0" style="font-size:9pt;">
					<xsl:apply-templates select="/rss/channel/item[category!='NEW_REQUEST' and not(contains(category,'OVERDUE'))]"/>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='NEW_REQUEST']">
		<tr>
			<xsl:choose>
				<xsl:when test="position() mod 2  = 0">
					<td class="List-r-v-c" style="padding:4px; padding-left:16px;">
						<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
							<xsl:apply-templates select="title"/>
						</a>
						<br />
						<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;"><xsl:apply-templates select="description"/></font>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td class="List-r-v-c-a" style="padding:4px; padding-left:16px;">
						<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
							<xsl:apply-templates select="title"/>
						</a>
						<br />
						<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;"><xsl:apply-templates select="description"/></font>
					</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='REQUEST_RUNNING_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='REQUEST_RUNNING_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Consultez la liste des demandes en cours que vous avez lances.
						</xsl:when>
						<xsl:otherwise>
							Browse the list of the requests you have launched.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='REQUEST_RUNNING_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TODO_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='ACTION_TODO_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Consultez la liste des actions que vous devez faire.
						</xsl:when>
						<xsl:otherwise>
							Browse the list of the actions you have to do.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TODO_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TEAM_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='ACTION_TEAM_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Consultez la liste des actions que vous pouvez traiter.
						</xsl:when>
						<xsl:otherwise>
							Browse the list of the actions you can handle.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TEAM_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TOASSIGN_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='ACTION_TOASSIGN_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Consultez la liste des actions que vous devez affecter  une personne.
						</xsl:when>
						<xsl:otherwise>
							Browse the list of the actions you have to assign to a person.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TOASSIGN_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='REQUEST_CLOSED_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='REQUEST_CLOSED_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Consultez la liste des demandes cltures depuis votre dernier accs.
						</xsl:when>
						<xsl:otherwise>
							Browse the list of the requests closed since your last visit.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='REQUEST_CLOSED_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose> 
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='REQUEST_TOFOLLOW_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='REQUEST_TOFOLLOW_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Suivi des demandes dont je suis administrateur.
						</xsl:when>
						<xsl:otherwise>
							Follow-up of the requests of which I'm the administrator.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='REQUEST_TOFOLLOW_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose> 
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TOFOLLOW_NB']">
		<tr>
			<td style="width:100%;padding-bottom:5px;">
				<font> </font>
				<a href="{./link}" target="_top" style="font-weight: bold; font-size:8pt; font-family: verdana, arial, helvetica, sans-serif; color: #003399;">
					<xsl:apply-templates select="title"/>: 
					<xsl:apply-templates select="description"/>
					<xsl:apply-templates select="/rss/channel/item[category='ACTION_TOFOLLOW_OVERDUE_NB']"/>
				</a>
				<br />
				<font style="padding-left:8px; font-family:verdana, arial, sans-serif; font-size:8pt; color:#000000;">
					<xsl:choose>
						<xsl:when test="contains(/rss/channel/language,'fr')">
							Suivi des actions dont je suis administrateur.
						</xsl:when>
						<xsl:otherwise>
							Follow-up of the actions of which I'm the administrator.
						</xsl:otherwise>
					</xsl:choose>
				</font>	
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="/rss/channel/item[category='ACTION_TOFOLLOW_OVERDUE_NB']">
		<font style="color:#CC6633;"> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 dont 
				</xsl:when>
				<xsl:otherwise>
					 including 
				</xsl:otherwise>
			</xsl:choose> 
			<xsl:apply-templates select="description"/> 
			<xsl:choose>
				<xsl:when test="contains(/rss/channel/language,'fr')">
					 en retard
				</xsl:when>
				<xsl:otherwise>
					 past due
				</xsl:otherwise>
			</xsl:choose>
		</font>
	</xsl:template>
</xsl:stylesheet>
