/* global alert */
var status = null;
var message = null;
var isCheckSessionStopped = false;
var timerId = null;
var targetOrigin = null;
var refreshInterval = 3000;

// Init is called in generated code from the server.
/* eslint-disable no-unused-vars */
function init (clientId, sessionState, providerOrigin) {
  /* eslint-enable */
  message = clientId + ' ' + sessionState;

  targetOrigin = providerOrigin;
  window.addEventListener('message', messageReceived, false);

  timerId = setInterval(checkSession, refreshInterval);
}

function checkSession () {
  if (isCheckSessionStopped) {
    clearInterval(timerId);
    return;
  }

  if (document.getElementById('op')) {
    var providerFrameContent = document.getElementById('op').contentWindow;
    providerFrameContent.postMessage(message, targetOrigin);
  }
}

function messageReceived (e) {
  console.log('messageReceived: ' + e.data);

  if (e.origin !== targetOrigin) {
    isCheckSessionStopped = true;
    alert('Invalid targetOrigin: ' + e.origin);
    return;
  }

  status = e.data;
  if (status === 'error') {
    isCheckSessionStopped = true;
    alert('Check session error from op');
    return;
  }

  if (status === 'changed') {
    isCheckSessionStopped = true;
    alert('Session changed');
  }
}
