/**
 * actiondata.js
 * GraphQL resolvers
 */
'use strict';

const actionDataResolveFunctions = {
  ActionData: {
    action (actionData, args, context) {
      context.incrementResolverCount();
      var actionArgs = {};
      actionArgs.id = actionData.actionId;
      if (actionData.userId) {
        actionArgs.userId = actionData.userId;
      }
      if (actionData.onBehalfOf) {
        actionArgs.onBehalfOf = actionData.onBehalfOf;
      }
      return context.loaders.operations.load({operation: 'getAction', args: actionArgs});
    }
  }

};

module.exports = actionDataResolveFunctions;
