/**
 * category.js
 * GraphQL resolvers
 */
'use strict';

const categoryResolveFunctions = {
  Category: {
    processes (category, args, context) {
      context.incrementResolverCount();
      if (category.userId) {
        args.userId = category.userId;
      }
      if (category.onBehalfOf) {
        args.onBehalfOf = category.onBehalfOf;
      }
      if (!args.filter) {
        args.filter = {};
      }
      args.filter.categoryId = category.id;
      return context.loaders.operations.load({operation: 'getProcesses', args: args});
    },
    launchableProcesses (category, args, context) {
      context.incrementResolverCount();
      if (category.userId) {
        args.userId = category.userId;
      }
      if (category.onBehalfOf) {
        args.onBehalfOf = category.onBehalfOf;
      }
      if (!args.filter) {
        args.filter = {};
      }
      args.filter.categoryId = category.id;
      return context.loaders.operations.load({operation: 'getLaunchableProcesses', args: args});
    }
  }
};

module.exports = categoryResolveFunctions;
