/**
 * comment.js
 * GraphQL resolvers
 */
'use strict';

const commentResolveFunctions = {

  Comment: {
    author (comment, args, context) {
      context.incrementResolverCount();
      return context.loaders.users.load(comment.authorId);
    },
    subject (comment, args, context) {
      context.incrementResolverCount();
      var requestArgs = {};
      requestArgs.id = comment.subjectId;
      requestArgs.userId = comment.userId;
      if (comment.onBehalfOf) {
        requestArgs.onBehalfOf = comment.onBehalfOf;
      }
      return context.loaders.operations.load({operation: 'getRequest', args: requestArgs});
    }
  }

};

module.exports = commentResolveFunctions;
