/**
 * directory.js
 * GraphQL resolvers
 */
'use strict';

const directoryResolveFunctions = {

  Directory: {
    users (directory, args, context) {
      context.incrementResolverCount();
      args.directoryId = directory.id;
      return context.loaders.operations.load({operation: 'getUsers', args: args});
    },
    groups (directory, args, context) {
      context.incrementResolverCount();
      args.directoryId = directory.id;
      return context.loaders.operations.load({operation: 'getGroups', args: args});
    }
  }

};

module.exports = directoryResolveFunctions;
