/**
 * favorite.js
 * GraphQL resolvers
 */
'use strict';

const favoriteResolveFunctions = {
  Favorite: {
    owner (favorite, args, context) {
      context.incrementResolverCount();
      return context.loaders.users.load(favorite.ownerId);
    },
    item (favorite, args, context) {
      context.incrementResolverCount();
      args.id = favorite.itemId;
      if (favorite.type === 'PROCESS') {
        return context.loaders.operations.load({operation: 'getProcess', args: args});
      } else {
        return context.loaders.operations.load({operation: 'getView', args: args});
      }
    }
  }
};

module.exports = favoriteResolveFunctions;
