/**
 * group.js
 * GraphQL resolvers
 */
'use strict';

const groupResolveFunctions = {

  Group: {
    directory (group, args, context) {
      if (group.directoryId) {
        context.incrementResolverCount();
        var directoryArgs = {};
        directoryArgs.id = group.directoryId;
        return context.loaders.operations.load({operation: 'getDirectory', args: directoryArgs});
      } else {
        return null;
      }
    },
    users (group, args, context) {
      context.incrementResolverCount();
      args.groupId = group.id;
      return context.loaders.operations.load({operation: 'getUsers', args: args});
    }
  }
};

module.exports = groupResolveFunctions;
