/**
 * mutation.js
 * GraphQL resolvers
 */
'use strict';

const { clearAllLoaders } = require('../loaders/');

const mutationResolveFunctions = {

  Mutation: {
    createRequest (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('createRequest', context.workflow.context, args);
    },
    cancelRequest (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('cancelRequest', context.workflow.context, args);
    },
    completeAction (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('completeAction', context.workflow.context, args);
    },
    completeFormAction (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('completeFormAction', context.workflow.context, args);
    },
    assignAction (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('assignAction', context.workflow.context, args);
    },
    cancelActionAssignment (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('cancelActionAssignment', context.workflow.context, args);
    },
    cancelAction (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('cancelAction', context.workflow.context, args);
    },
    cancelRequestActionsByName (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('cancelRequestActionsByName', context.workflow.context, args);
    },
    createDelegation (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('createDelegation', context.workflow.context, args);
    },
    deleteDelegation (roor, args, context) {
      context.incrementResolverCount();
      return context.workflow.service.invoke('deleteDelegation', context.workflow.context, args);
    },
    updateDelegation (roor, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('updateDelegation', context.workflow.context, args);
    },
    addComment (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('addComment', context.workflow.context, args);
    },
    removeComment (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('removeComment', context.workflow.context, args);
    },
    updateRequestDataset (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('updateRequestDataset', context.workflow.context, args);
    },
    createFavorite (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('createFavorite', context.workflow.context, args);
    },
    updateFavorite (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('updateFavorite', context.workflow.context, args);
    },
    deleteFavorite (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('deleteFavorite', context.workflow.context, args);
    },
    createUser (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('createUser', context.workflow.context, args);
    },
    updateUser (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('updateUser', context.workflow.context, args);
    },
    updateViewerPreferences (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('updateViewerPreferences', context.workflow.context, args);
    },
    deleteUser (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('deleteUser', context.workflow.context, args);
    },
    createGroup (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('createGroup', context.workflow.context, args);
    },
    updateGroup (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('updateGroup', context.workflow.context, args);
    },
    deleteGroup (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('deleteGroup', context.workflow.context, args);
    },
    addUsersToGroup (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('addUsersToGroup', context.workflow.context, args);
    },
    removeUsersFromGroup (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('removeUsersFromGroup', context.workflow.context, args);
    },
    addGroupsToUser (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('addGroupsToUser', context.workflow.context, args);
    },
    removeGroupsFromUser (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('removeGroupsFromUser', context.workflow.context, args);
    },
    deleteRequest (root, args, context) {
      context.incrementResolverCount();
      clearAllLoaders(context.loaders);
      return context.workflow.service.invoke('deleteRequest', context.workflow.context, args);
    }
  }

};

module.exports = mutationResolveFunctions;
