/**
 * processparticipantprofile.js
 * GraphQL resolvers
 */
'use strict';

const processParticipantProfileResolveFunctions = {

  ProcessParticipantProfile: {
    process (processParticipantProfile, args, context) {
      context.incrementResolverCount();
      if (processParticipantProfile.userId) {
        args.userId = processParticipantProfile.userId;
      }
      args.id = processParticipantProfile.processId;
      return context.loaders.operations.load({operation: 'getProcess', args: args});
    },
    participant (processParticipantProfile, args, context) {
      context.incrementResolverCount();
      if (processParticipantProfile.userId) {
        args.userId = processParticipantProfile.userId;
      }
      args.id = processParticipantProfile.participantId;
      return context.loaders.operations.load({operation: 'getParticipant', args: args});
    }
  }
};

module.exports = processParticipantProfileResolveFunctions;
