/**
 * requestdata.js
 * GraphQL resolvers
 */
'use strict';

const requestDataResolveFunctions = {
  RequestData: {
    request (requestData, args, context) {
      context.incrementResolverCount();
      var requestArgs = {};
      requestArgs.id = requestData.requestId;
      if (requestData.userId) {
        requestArgs.userId = requestData.userId;
      }
      if (requestData.onBehalfOf) {
        requestArgs.onBehalfOf = requestData.onBehalfOf;
      }
      return context.loaders.operations.load({operation: 'getRequest', args: requestArgs});
    }
  }

};

module.exports = requestDataResolveFunctions;
