/**
 * scalar.js
 * GraphQL resolvers
 */
'use strict';

const scalarResolveFunctions = {

  DateTime: { // ISO-8601 encoded UTC date string
    __parseValue (value) {
      return (value); // value from the client
    },
    __serialize (value) {
      return (value); // value sent to the client
    },
    __parseLiteral (ast) {
      return ast.value;
    }
  },
  URI: {
    __parseValue (value) {
      return value; // value from the client
    },
    __serialize (value) {
      return value; // value sent to the client
    },
    __parseLiteral (ast) {
      return ast.value;
    }
  }

};

module.exports = scalarResolveFunctions;
