/**
 * file.js
 * GraphQL Type definitions using schema language
 */
'use strict';

const fileTypeDefs = `

# A File.
type File {

  # File name.
  name: String!

  # File description.
  description: String

  # File URL.
  url: URI!

  # File content type.
  contentType: String!

  # File size in bytes.
  size: Int!

  # Identifies the date and time when the file was updated.
  updatedAt: DateTime
}

# A File input.
input FileInput {

  # File name.
  name: String

  # File description.
  description: String

  # File URL.
  url: URI

  # File content type.
  contentType: String

  # File size in bytes.
  size: Int

  # Identifies the date and time when the file was updated.
  updatedAt: DateTime

  # File content in base64 encoding.
  content: String
}

`;

module.exports = fileTypeDefs;
