/**
 * parameter.js
 * GraphQL Type definitions using schema language
 */
'use strict';

const parameterTypeDefs = `

# A parameter input.
input ParameterInput {

  # Parameter name.
  name: String!
  
  # Parameter text value.
  textValue: String

  # Parameter numeric value.
  numericValue: Float

  # Parameter date and time value.
  dateTimeValue: DateTime

  # Parameter file value.
  fileValue: FileInput
}

# Parameter direction enumeration.
enum ParameterDirection {

  # Identifies an input parameter.
  IN

  # Identifies an output parameter.
  OUT

  # Identifies an input and output parameter.
  INOUT
}

`;

module.exports = parameterTypeDefs;
