/**
 * workflowdata.js
 * GraphQL Type definitions using schema language
 */
'use strict';

const workflowDataTypeDefs = `

# A workflow data.
interface WorkflowData {

  # Workflow data name.
  name: String!

  # Workflow data type.
  type: WorkflowDataType

  # Identifies if the workflow data has a value.
  hasValue: Boolean!
}

# List of possible process data types.
enum WorkflowDataType {

  # Identifies a text value.
  TEXT

  # Identifies a numeric value.
  NUMERIC

  # Identifies a date and time value.
  DATETIME

  # Identifies a file value.
  FILE
}

`;

module.exports = workflowDataTypeDefs;
