/*
	>>> THIS IS CALENDAR TEMPLATE FILE <<<
	
	Variable defined here (CAL_TPL) should be passed to calendar constructor
	as second parameter.
	

	Notes:

	- Same template structure can be used for multiple
	calendar instances.
	- When specifying not numeric values for HTML tag attributes make sure you
	put them in apostrophes

*/

var CAL_TEMPLATE = {

	///////////////////////////////////////////////////////////////////////////////////////////
	// >>> Localization settings <<<
	///////////////////////////////////////////////////////////////////////////////////////////
	
	// months as they appear in the selection list
	'months': ARR_STRINGS['short_month'],

	// week day titles as they appear on the calendar
	'weekdays':  ARR_STRINGS['short_days'],

	// day week starts from (normally 1-Mo or 0-Su)
	'weekstart': calWeeksStartingMonday,
	

	
	
	///////////////////////////////////////////////////////////////////////////////////////////
	// >>> Config <<<
	///////////////////////////////////////////////////////////////////////////////////////////


		// >>> Used <<<
		///////////////////////////////////////////////////////////////////////////////////

		// >>> Config <<<
		/////////////////
		
		'weekdays_allowed':  ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
		'month_allowed':  ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],

		// start z-inxex - only for modal mode
		'startzindex': 5,


		// >>> Appearence settings (HTML tags attributes) <<<
		/////////////////////////////////////////////////////

		// outer table (TABLE)
		'outertable': {
			'class' : 'calOuterTable'
		},

		// month & year navigation table (TABLE)
		'navtable': {
			'class' : 'calNavTable'
		},
		
		// today icon cell (TD); if omited no today button will be displayed
		'todaycell': {
			'class' : 'calTodayIconCell'
		},
		
		// time navigation table (TABLE)
		'timetable': {
			'class': 'calTimetable'
		},
		
		// pixel image (IMG)
		// for modal mode only
		'pixel': {
			'src': appThemeImagesPath+'cal_pixel.gif',
			'class': 'pixelImg'		
		},
		
		// icon image to close the calendar instance (IMG)
		// for modal mode only
		'caliconhide': {
			'src': appThemeImagesPath+'cal_no_cal.gif'
		},
		
		// input text field to store the date & time selected (INPUT type="text")
		'datacontrol': {
			'class': 'calDatCtrl'
		},

		// month scroll icon cell (TD)
		'monthscrollcell': {
			'class': 'calScrollCellMonth'
		},
		

		// year scroll icon cell (TD)
		'yearscrollcell': {
			'class': 'calScrollCellYear'
		},
		

		// cell containing calendar grid (TD)
		'gridcell': 
		{
			'class': 'calGridCell'
		},

		// calendar grid (TABLE)
		'gridtable': {
			'cellspacing': 0,
			'class': 'calGridTable'
		},
		
		// weekday title cell (TD)
		'wdaytitle': {
			'class': 'calWTitle'
		},
		
		// other month day text (A/SPAN)
		'dayothermonth': {
			'class': 'calOtherMonth'
		},

		// default day text (A/SPAN)
		'daynormal': {
			'class': 'calThisMonth'
		},
		
		// today day text (SPAN)
		'daytodaycell': {
			'class': 'calTodayCell'
		},
		
		// selected day cell (TD)
		'dayselectedcell': {
			'class': 'calDayCurrent'
		},
		
		// wekend day cell (TD)
		'dayweekendcell': {
			'class': 'calDayWeekend'
		},
		
		// holiday day cell (TD)
		'daymarkedcell': {
			'class': 'calDayHoliday'
		},
		
		// working day cell (TD)
		'daynormalcell': {
			'class': 'calDayWorking'
		},
		
		'datatitle' : {
			'class': 'calDataTitle'
		},
		
		'datatitlecell' : {
			'class': 'calDataTitleCell'
		},
		
		// not for on-page mode
		'calbutton': {
			'value': calLabelClickToSelect
		},

		// icon image to open the calendar instance (IMG), 
		// not for on-page mode
		'caliconshow': {
			'src': appThemeImagesPath+'calendar_s.gif',
			'class': 'calImg',
			'alt': calLabelClickToSelect
		},

		// next month image (IMG)
		'monthplusimage': {
			'src': appThemeImagesPath+'cal_cal_plus_month.gif',
			'alt': calLabelScrollToNextMonth,
			'class': 'calScrollImage'
		},


		// previous month image (IMG)
		'monthminusimage': {
			'src': appThemeImagesPath+'cal_cal_minus_month.gif',
			'alt': calLabelScrollToPreviousMonth,
			'class': 'calScrollImage'
		},

		// next year image (IMG)
		'yearplusimage': {
			'src': appThemeImagesPath+'cal_cal_plus_year.gif',
			'alt': calLabelScrollToNextYear,
			'class': 'calScrollImage'
		},

		// previous year image (IMG)
		'yearminusimage': {
			'src': appThemeImagesPath+'cal_cal_minus_year.gif',
			'alt': calLabelScrollToPreviousYear,
			'class': 'calScrollImage'
		},

		// month scroll icon cell for alternative toolbar(TD)
		'monthscrollcellalt': {
			'class' : 'calScrollCellAltMonth'
		},


		// year scroll icon cell for alternative toolbar(TD)
		'yearscrollcellalt': {
			'class' : 'calScrollCellAltYear'
		},

		// next month image   for alternative toolba(IMG)
		'monthplusimagealt': {
			'src': appThemeImagesPath+'cal_plus_month.gif',
			'alt': calLabelScrollToNextMonth,
			'class': 'calScrollAltImage'
		},

		// previous month image  for alternative toolba(IMG)
		'monthminusimagealt': {
			'src': appThemeImagesPath+'cal_minus_month.gif',
			'alt': calLabelScrollToPreviousMonth,
			'class': 'calScrollAltImage'
		},

		// next year image for alternative toolbar(IMG)
		'yearplusimagealt': {
			'src': appThemeImagesPath+'cal_plus_year.gif',
			'alt': calLabelScrollToNextYear,
			'class': 'calScrollAltImage'
		},

		// previous year image  for alternative toolbar(IMG)
		'yearminusimagealt': {
			'src': appThemeImagesPath+'cal_minus_year.gif',
			'alt': calLabelScrollToPreviousYear,
			'class': 'calScrollAltImage'
		},

	///////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////		
	// >>> Not Used <<<
	///////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////
	
		// >>> Config <<<
		/////////////////
		
		// width of popup window (for Netscape 4.x only)
		'w': 190, 
		// height of popup window (for Netscape 4.x only)
		'h': 180,

		// >>> Navbar settings <<<
		//////////////////////////
		
		// in year selection box how many years to list relatively to current year
		'yearsbefore': 4,
		'yearsafter': 4,	

		// >>> Appearence settings (HTML tags attributes) <<<
		/////////////////////////////////////////////////////
		
		// today icon image (IMG); if omited no today button will be displayed
		'todayimage': {
			'src': appThemeImagesPath+'cal_today.gif',
			'width': 10,
			'height': 20,
			'border': 0,
			'alt': 'reset to today'
		},
		
		// hour, minute & second selectors (SELECT)
		'timeselector': {
			'class': 'calCtrl'
		},
				
		// next hour image (IMG)
		'hourplusimage': {
			'src': appThemeImagesPath+'cal_plus.gif',
			'width': 10,
			'height': 10,
			'border': 0,
			'alt': 'scroll to next hour'
		},
		
		// previous hour image (IMG)
		'hourminusimage': {
			'src': appThemeImagesPath+'cal_minus.gif',
			'width': 10,
			'height': 10,
			'border': 0,
			'alt': 'scroll to previous hour'
		},
		
		// next minute image (IMG)
		'minplusimage': {
			'src': appThemeImagesPath+'cal_plus.gif',
			'width': 10,
			'height': 10,
			'border': 0,
			'alt': 'scroll to next minute'
		},
		
		// previous minute image (IMG)
		'minminusimage': {
			'src': appThemeImagesPath+'cal_minus.gif',
			'width': 10,
			'height': 10,
			'border': 0,
			'alt': 'scroll to previous minute'
		},
		
		// next second image (IMG)
		'secplusimage': {
			'src': appThemeImagesPath+'cal_plus.gif',
			'width': 10,
			'height': 10,
			'border' : 0,
			'alt': 'scroll to next second'
		},
		
		// previous second image (IMG)
		'secminusimage': {
			'src': appThemeImagesPath+'cal_minus.gif',
			'width': 10,
			'height': 10,
			'border' : 0,
			'alt': 'scroll to previous second'
		},
					
		// next AM/PM image (IMG)
		'applusimage': {
			'src': appThemeImagesPath+'cal_plus.gif',
			'width': 10,
			'height': 10,
			'border': 0,
			'alt': 'scroll to AM'
		},
		
		// previous AM/PM image (IMG)
		'apminusimage': {
			'src': appThemeImagesPath+'cal_minus.gif',
			'width': 10,
			'height': 10,
			'border': 0,
			'alt': 'scroll to PM'
		},
		
		// inactive next image for alternative title (IMG)
		'disyearplusimagealt': {
			'src': appThemeImagesPath+'cal_plus_year_dis.gif',
			'width': 13,
			'height': 13,
			'border': 0
		},
		
		// inactive next image for alternative title (IMG)
		'disyearminusimagealt': {
			'src': appThemeImagesPath+'cal_minus_year_dis.gif',
			'width': 13,
			'height': 13,
			'border': 0
		},
		// inactive next image for alternative title (IMG)
		'dismonthplusimagealt': {
			'src': appThemeImagesPath+'cal_plus_month_dis.gif',
			'width': 13,
			'height': 13,
			'border': 0
		},
		
		// inactive next image for alternative title (IMG)
		'dismonthminusimagealt': {
			'src': appThemeImagesPath+'cal_minus_month_dis.gif',
			'width': 13,
			'height': 13,
			'border': 0
		},
		
		// inactive next image (IMG)
		'displusimage': {
			'src': appThemeImagesPath+'cal_plus_dis.gif',
			'width': 10,
			'height': 10,
			'border': 0
		},
		
		// inactive previous image (IMG)
		'disminusimage': {
			'src': appThemeImagesPath+'cal_minus_dis.gif',
			'width': 10,
			'height': 10,
			'border': 0
		},
		
		// month selector cell (TD)
		'monthselectorcell': {
			'width': '50px',
			'align': 'right'
		},
		
		// hour, minute & second scroll icon cell (TD)
		'timescrollcell': {
			'width': 10
		},
		
		// time selector cell (TD)
		'timeselectorcell': {
			'width': '50px',
			'align': 'right'
		},
		
		// month selector (SELECT)
		'monthselector': {
			'class': 'calCtrl'
		},
		
		// year selector cell (TD)
		'yearselectorcell': {
			'align': 'right'
		},
		
		// year selector (SELECT)
		'yearselector': {
			'class': 'calCtrl'
		},
		
		// forbidden day text (A/SPAN)
		'dayforbidden': {
			'class': 'calForbDate'
		}
	};