var status = null;
var message = null;
var isCheckSessionStopped = false;
var timerId = null;
var targetOrigin = null;
var refreshInterval = 3000;

// InitAuthSessionManagement is called in generated code from the server.
/* eslint-disable no-unused-vars */
function initAuthSessionManagement (clientId, sessionState, providerOrigin) {
  /* eslint-enable */
  message = clientId + ' ' + sessionState;

  targetOrigin = providerOrigin;
  window.addEventListener('message', messageReceived, false);

  timerId = setInterval(checkSession, refreshInterval);
}

function checkSession () {
  if (isCheckSessionStopped) {
    clearInterval(timerId);
    return;
  }

  if (document.getElementById('op')) {
    var providerFrameContent = document.getElementById('op').contentWindow;
    providerFrameContent.postMessage(message, targetOrigin);
  }
}

function messageReceived (e) {
  if (e.origin !== targetOrigin) {
    isCheckSessionStopped = true;
    redirectToLogout();
    return;
  }

  status = e.data;
  if (status === 'error') {
    isCheckSessionStopped = true;
    redirectToLogout();
    return;
  }

  if (status === 'changed') {
    isCheckSessionStopped = true;
    redirectToLogout();
  }
}

function redirectToLogout () {
  var state = getGuid();
  var logoutUrl;
  var logoutReturnUrl;

  if (window.top.location.href.toLowerCase().indexOf('/admin/') !== -1) {
    logoutUrl = window.top.location.href.toLowerCase().replace('/admin/', '/') + 'logout';
    logoutReturnUrl = window.top.location.href.toLowerCase().replace('/admin/', '/') + 'auth/logout/return?state=' + state;
  } else {
    logoutUrl = window.top.location.href.toLowerCase() + 'logout';
    logoutReturnUrl = window.top.location.href.toLowerCase() + 'auth/logout/return?state=' + state;
  }

  document.cookie = 'wfgen_auth_logout_state=' + state + '; path=/';
  document.cookie = 'wfgen_auth_post_logout_return_to=' + logoutUrl + '; path=/';
  window.top.location.href = logoutReturnUrl;
}

function getGuid () {
  var result, i, j;
  result = '';
  for (j = 0; j < 32; j++) {
    if (j === 8 || j === 12 || j === 16 || j === 20) {
      result = result + '-';
    }
    i = Math.floor(Math.random() * 16).toString(16);
    result = result + i;
  }
  return result;
}
