<%@ Import Namespace="System.Web.Security" %>
<html>
<head>
    <title>Login form</title>
    <link href="/wfgen/App_Themes/default/portal/css/default.css" rel="stylesheet" type="text/css"></link>

    <script runat="server" language="C#">
   void btnSubmit_Click(Object Source, EventArgs e)
   {
		// Add your authentication code here
		string username = txtUsername.Text;
		
		// Create the Authentication Ticket
		int timeOutMinutes = 30;
		FormsAuthenticationTicket ticket = new FormsAuthenticationTicket(username, true, timeOutMinutes);

		// Encrypt the ticket
		string encTicket = FormsAuthentication.Encrypt(ticket);

		// Create the cookie
		Response.Cookies.Add(new HttpCookie(FormsAuthentication.FormsCookieName, encTicket));
		
		// Redirection management
		string returnUrl = String.Empty;
	    
		if (!String.IsNullOrEmpty(Request["ReturnUrl"]))
		{
			returnUrl = Request["ReturnUrl"];
		}
		
		string redirectToUrl = String.Empty;
		
		switch (returnUrl.ToLower())
		{
		    // Redirect to the portal home page with frames
		    case "":
		    case "/wfgen/default.aspx":
		    case "/wfgen/show.aspx?query=context":
		    redirectToUrl = "/wfgen/default.aspx";
		    break; 
		    
		    // Redirect to the admin home page with frames
		    case "/wfgen/admin/default.aspx":
		    case "/wfgen/admin/show.aspx?query=context":
		    redirectToUrl = "/wfgen/admin/default.aspx";
		    break; 
		    
		    // Redirect to the portal or admin home page
		    default:
		    // Admin module
		    if (returnUrl.ToLower().Contains("/wfgen/admin"))
		    {
		        redirectToUrl = "/wfgen/admin/show.aspx?QUERY=WELCOME";
		    }
		    // Portal
		    else
		    {
		        redirectToUrl = "/wfgen/show.aspx?QUERY=WELCOME";
		    }
		    break;
		}   
		
		Response.Redirect(redirectToUrl);
   }
    </script>

</head>
<body class="AuthenticationPage" onload="document.getElementById('txtUsername').focus();">
    <div class="Div">
        <form method="Post" runat="server">
        <fieldset class="FieldSet">
            <legend class="Legend">My Custom authentication</legend>
            <table class="Table" cellpadding="0" cellspacing="0">
                <tr class="Row">
                    <td class="CellCaption">
                        <span class="Username">Username:</span>
                    </td>
                    <td class="CellValue">
                        <asp:TextBox CssClass="InputUsername" ID="txtUsername" runat="server" />
                    </td>
                </tr>
                <tr class="Row">
                    <td class="CellCaption">
                        <span class="Password">Password:</span>
                    </td>
                    <td class="CellValue">
                        <asp:TextBox CssClass="InputUsername" ID="txtPassword" runat="server" />
                    </td>
                </tr>
            </table>
            <table class="Footer" cellpadding="0" cellspacing="0">
                <tr class="Row">
                    <td class="Cell">
                        <asp:Button CssClass="Button" ID="btnSubmit" Text="Submit" OnClick="btnSubmit_Click"
                            runat="server" />
                    </td>
                </tr>
            </table>
        </fieldset>
        </form>
    </div>
</body>
</html>
