/**
* constants.js
* Contains the definition for common constants in this module.
*/
'use strict';

module.exports = {
  schemas: {
    user: 'urn:ietf:params:scim:schemas:core:2.0:User',
    listResponse: 'urn:ietf:params:scim:api:messages:2.0:ListResponse',
    patchOperation: 'urn:ietf:params:scim:api:messages:2.0:PatchOp',
    error: 'urn:ietf:params:scim:api:messages:2.0:Error',
    searchRequest: 'urn:ietf:params:scim:api:messages:2.0:SearchRequest',
    bulkRequest: 'urn:ietf:params:scim:api:messages:2.0:BulkRequest',
    bulkResponse: 'urn:ietf:params:scim:api:messages:2.0:BulkResponse',
    group: 'urn:ietf:params:scim:schemas:core:2.0:Group',
    serviceProviderConfig: 'urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig',
    resourceType: 'urn:ietf:params:scim:schemas:core:2.0:ResourceType',
    schema: 'urn:ietf:params:scim:schemas:core:2.0:Schema',

    extensions: {
      user: {
        business: 'urn:ietf:params:scim:schemas:extension:enterprise:2.0:User'
      }
    }
  },

  scimTypes: {
    invalidValue: 'invalidValue',
    invalidPath: 'invalidPath',
    uniqueness: 'uniqueness',
    mutability: 'mutability',
    noTarget: 'noTarget'
  }
};
